$selectric-main-color:      #DDD !default;                                              // Color used in border
$selectric-secondary-color: #BBB !default;                                              // Color used in button
$selectric-text-color:      $black !default;                                              // Color used in label
$selectric-bg-color:        $white !default;                                           // Background color
$selectric-btn-bg-color:    #F8f8f8 !default;                                           // Button background color
$selectric-height:          40px !default;                                              // Outer height
$selectric-spacing:         10px !default;                                              // Label left padding
$selectric-border-width:    1px !default;                                               // Outer border width
$selectric-border-radius:   6px !default;                                               // Border radius
$selectric-inner-height:    $selectric-height - ($selectric-border-width * 2) !default; // Inner height
$selectric-font-size:       12px !default;                                              // Font size

.selectric-wrapper { 
	position: relative;
	cursor: pointer;
}


.selectric-responsive {
	width: 100%;
}

.selectric {
	color: $black;
	border: 1px solid $white;
  	border-radius: $selectric-border-radius;
  	background: $selectric-bg-color;
  	position: relative;
  	overflow: hidden;

  	.label {
    	display: block;
	    text-align: right;
    	white-space: nowrap;
    	overflow: hidden;
    	text-overflow: ellipsis;
    	margin: 0 $selectric-inner-height 0 10px;
		font-size: 14px;
	    line-height: 28px;
		height: 28px;
		user-select: none;
	}

  	.button {
	    right: 8px;
	    top: calc(50% - 12px);
	    width: 24px;
	    height: 24px;
	    font-size: 0;
	    line-height: 0;
	    border: none;
	    outline: none;
	    background: transparent;

		display: block;
		position: absolute;

	    &:after,
	    &:before {
		    left: calc(50% - 5px);
		    top: calc(50% - 1px);
		    content: '';
		    width: 10px;
		    height: 1px;
		    background: $black;
		    position: absolute;
	    }

	    &:after {
		    margin-left: -3px;
		    transform: rotate(45deg);
	    }

	    &:before {
		    margin-left: 4px;
		    transform: rotate(-45deg);
	    }
  	}

	@media (min-width: $screen-sm-min) {

		.label {
			text-align: left;
			height: 44px;
			font-size: 16px;
			line-height: 44px;
		}
	}
}

.selectric-focus .selectric {

}

.selectric-hover .selectric {
	color: $purple-100;
	border-color: $purple-100;

  	.button {

    	&:after,
	    &:before {
            background: $purple-100;
    	}
  	}
}

.selectric-open {
  	z-index: 9999;

  	.selectric {
	    color: $purple-100;
  	    border-color: $purple-100;
	    border-bottom-color: transparent;
	    border-radius: 6px 6px 0 0;

	    .button {

		    &:after,
		    &:before {
			    background: $purple-100;
		    }
	    }
  	}

  	.selectric-items {
    	display: block;
  	}
}

.selectric-disabled {
	filter: alpha(opacity=50);
	opacity: 0.5;
	cursor: default;
	user-select: none;
}

.selectric-hide-select {
	position: relative;
	overflow: hidden;
	width: 0;
	height: 0;

  	select {
		position: absolute;
		left: -100%;
  	}

	&.selectric-is-native {
		position: absolute;
		width: 100%;
		height: 100%;
		z-index: 10;

    	select {
			position: absolute;
			top: 0;
			left: 0;
			right: 0;
			height: 100%;
			width: 100%;
			border: none;
			z-index: 1;
			box-sizing: border-box;
			opacity: 0;
    	}
  	}
}

.selectric-input {
	position: absolute !important;
	top: 0 !important;
	left: 0 !important;
	overflow: hidden !important;
	clip: rect(0, 0, 0, 0) !important;
	margin: 0 !important;
	padding: 0 !important;
	width: 1px !important;
	height: 1px !important;
	outline: none !important;
	border: none !important;
	*font: 0/0 a !important;
	background: none !important;
}

.selectric-temp-show {
	position: absolute !important;
	visibility: hidden !important;
	display: block !important;
}

/* Items box */
.selectric-items {
	width: auto !important;
	min-width: 100% !important;
	display: none;
	position: absolute;
	top: 100%;
	right: 0;
	white-space: nowrap;
	background: $selectric-bg-color;
	border: 1px solid $purple-100;
	z-index: -1;
	box-shadow: 0 0 10px -6px;

	.selectric-scroll {
    	height: 100%;
    	overflow: auto;
  	}

  	.selectric-above & {
		top: auto;
		bottom: 100%;
  	}

  	ul, li {
		list-style: none;
		padding: 0;
		margin: 0;
		font-size: 12px;
		line-height: 24px;
		min-height: 24px;
  	}

  	li {
		display: block;
	    position: relative;
		padding: 8px 10px 7px 45px;
		color: $black;
		cursor: pointer;

	    &:before {
		    top: calc(50% - 12px);
		    left: 13px;
		    content: '';
		    width: 24px;
		    height: 24px;
		    position: absolute;
		    border-radius: 50%;
		    border: 1px solid $purple-100;
	    }

	    &:after {
		    opacity: 0;
		    visibility: visible;
		    top: calc(50% - 8px);
		    left: 17px;
		    content: '';
		    width: 16px;
		    height: 16px;
		    position: absolute;
		    border-radius: 50%;
		    background: $purple-100;
	    }

    	&.selected {
			color: $purple-100;

		    &:after {
			    opacity: 1;
			    visibility: visible;
		    }
		}

		&.highlighted {
			color: $purple-100;
		}

		&:hover {
			color: $purple-100;
		}
  	}

	.disabled {
		filter: alpha(opacity=50);
		opacity: 0.5;
		cursor: default !important;
		background: none !important;
		color: #666 !important;
		user-select: none;
	}

	.selectric-group {
		.selectric-group-label {
			font-weight: bold;
			padding-left: 10px;
			cursor: default;
			user-select: none;
			background: none;
			color: #444;
		}

		&.disabled li {
			filter: alpha(opacity=100);
			opacity: 1;
		}

		li {
			padding-left: 25px;
		}
	}

	@media (min-width: $screen-sm-min) {


		ul, li {
			font-size: 14px;
		}
	}
}
